Bug 537236 - Table "Content Providers Associated With This Repository" fails to display a "Total" #
Table "Content Providers Associated With This Repository" fails to display a ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
unspecified
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
: SubBug
Depends On:
Blocks: rhq_spearhead jon24-content
  Show dependency treegraph
 
Reported: 2009-11-12 16:38 EST by John Sefler
Modified: 2010-08-12 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Notice the missing Total number in the Content Providers Associated With This Repository table. (126.06 KB, image/png)
2009-11-12 16:40 EST, John Sefler
no flags Details

  None (edit)
Description John Sefler 2009-11-12 16:38:47 EST
Description of problem:
The paginator element for the "Content Providers Associated With This Repository" table is not rendering a total count.  Please see the attached screenshot.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a repository
2. create an RHN Hosted content provider
3. associate the content provider with the repository
4. Open the repository and look at the table titled "Content Providers Associated With This Repository"
  
Actual results:
The Total count is not displayed.

Expected results:
The Total count should match the number of rows in the table.

Additional info:
This defect was found while trying to create an automated GUI test within ContentTests.java
Comment 1 John Sefler 2009-11-12 16:40:30 EST
Created attachment 369333 [details]
Notice the missing Total number in the Content Providers Associated With This Repository table.
Comment 2 wes hayutin 2010-02-08 17:36:56 EST
pradeep do you mind taking a look at this?
thanks!!
Comment 3 wes hayutin 2010-02-08 18:16:33 EST
validated.. that this is a separate bug from 
https://bugzilla.redhat.com/show_bug.cgi?id=546074
Comment 4 wes hayutin 2010-02-16 11:51:16 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 11:57:44 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Simeon Pinder 2010-05-07 17:18:09 EDT
This has been fixed in master build >= 284 
git hash 4d661b9aec44282fea747d60def24e44d6461caa
Comment 7 Corey Welton 2010-05-18 09:01:40 EDT
QA Verified, this value now appears.
Comment 8 Corey Welton 2010-08-12 12:50:41 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.